/**
 * 服务分类JS
 */
var url="";
$(function() {

	$(".arrowdown").click(function() {
		var _this = $(this);
		loadProductCategoriesNodes(_this.attr("id"),_this);
	});

	$(".js_topclose").click(function() {
		var _this = $(this);
		$(".js_topclassify").hide();
	});
	$(".js_subclose").click(function() {
		$(".js_topclassify").hide();
	});


});

/**
 * 查询
 */
function searchProductCategoriesList(){
	$("#conditionform").submit();
}

/**
 * 翻页
 * @param pageNo 页码
 */
function goPage(pageNo){
	if(pageNo=="gopage"){
		$("#pageNo").val($("#gopage").val());
	}else{
		$("#pageNo").val(pageNo);
	}
	$("#conditionform").submit();
}

/**
 * 打开新增分类窗口
 * @param parentCode
 */
function addProductCategories(parentCode){
	$("#parentCode").val(parentCode);
	$("#id").val("");
	$("#description").val("");
	$("#serviceId").val("");
	$("#img1").attr("src","");
	$("#iconUrl").val("");
	$("#orderNo").val("");
	$("#serviceCode").val("");
	$("#name").val("");
	if(parentCode=="0"){
		$("#orderNoDiv").hide();
		$("#serviceIdDiv").show();
		$(".titleform").html("新增一级分类");
	}else{
		$("#orderNoDiv").show();
		$("#serviceIdDiv").hide();
		$(".titleform").html("新增二级分类")
	}
	$(".js_topclassify").show();
}

/**
 * 修改分类窗口
 * @param parentCode
 * @param serviceId
 */
function updateProductCategories(parentCode,serviceId,name,description,id,iconUrl,serviceCode,orderNo){
	$("#parentCode").val(parentCode);
	$("#serviceId").val(serviceId);
	$("#name").val(name);
	$("#id").val(id);
	$("#description").val(description);
	$("#serviceCode").val(serviceCode);
	if(iconUrl!="" && iconUrl!=null){
		$("#iconUrl").val(iconUrl);
		$("#orderNo").val("");
		$("#img1").attr("src",$("#visitPrefix").val()+iconUrl);
	}
	if(parentCode=="0"){
		$("#orderNoDiv").hide();
		$("#serviceIdDiv").show();
		$(".titleform").html("编辑一级分类");
	}else{
		$("#orderNo").val(orderNo);
		$("#serviceCode").val(serviceCode);
		$("#orderNoDiv").show();
		$("#serviceIdDiv").hide();
		$(".titleform").html("编辑二级分类")
	}
	$(".js_topclassify").show();
}

/**
 * 根据父级ID 查询子级分类
 * @param parentCode
 */
function loadProductCategoriesNodes(parentCode,obj){
	var contextPath=$("#contextPath").val();
	var visitPrefix=$("#visitPrefix").val();
		url=contextPath+"/admin/servicePack/getProductCategoriesNodes";
	$.ajax({
		type:'POST',
		url:url,
		data:{"parentCode":parentCode},
		dataType: 'json',//返回值类型 一般设置为json
		success: function (data)  //服务器成功响应处理函数
		{
			if(data!=null && data.length>0){
				var html="<tbody class='subclassify'>";
				
				$.each(data,function(index,item){
					html+="<tr>";
					html+="<td></td><td>"+item.name+"</td>";
					if(item.iconUrl!="" && item.iconUrl!=null){
						html+="<td><img style='height: 60px;' src="+visitPrefix+item.iconUrl+" /></td>";
					}else{
						html+="<td>--</td>";
					}
					html+="<td>"+item.serviceCode+"</td>";
					if(item.itemname!="" && item.itemname!=null){
						html+="<td>"+item.itemname+"</td>";
					}else{
						html+="<td>--</td>";
					}
					html+="<td>"+item.createTimes+"</td>";
					html+="<td class='opera'>";
					html+=" <a href='javascript: void(0);' onclick='updateProductCategories(\""+item.parentCode+"\",\""+item.serviceId+"\",\""+item.name+"\",\""+item.description+"\",\""+item.id+"\",\"" + item.iconUrl+ "\",\""+item.serviceCode+"\",\""+item.orderNo+"\")' class='btn-small btn-blue'>修改</a>";
					html+=" <a href='javascript: void(0);' class='btn-small btn-red js_removetop' onclick='delProductCategories(\""+item.id+"\",\"" + item.name+ "\")'>删除</a>";
					html+="</tr>";
					
				});
				html+="</tbody>";
				if(obj.parents(".classify").next(".subclassify")){
					obj.parents(".classify").next(".subclassify").remove();
				}
				obj.parents(".classify").after(html);
				obj.toggleClass("classifyOpen");
				if (obj.hasClass("classifyOpen")) {
					obj.parents(".classify").next(".subclassify").show();
				} else {
					obj.parents(".classify").next(".subclassify").hide();
				}
			}else{
				
			}
		}
	});
}

/**
 * 新增父级分类
 */
function saveProductCategories(){
	var serviceId=$("#serviceId").val();//关联服务ID
	var name=$("#name").val();//服务分类名称
	var serviceCode=$("#serviceCode").val();//服务编码
	var description=$("#description").val();//服务描述
	var iconUrl=$("#iconUrl").val();//服务图片
	var id=$("#id").val();
	var orderNo=$("#orderNo").val();
	var parentCode=$("#parentCode").val();
	if($.trim(name)==""){
		layer.msg('请输入分类名称！');
		return;
	}
	if($.trim(serviceCode)==""){
		layer.msg('请输入服务编码！');
		return;
	}
	if($.trim(description)==""){
		layer.msg('请输入服务描述！');
		return;
	}
	var contextPath=$("#contextPath").val();
	url=contextPath+"/admin/servicePack/saveUpdateProductCategories";
	$.ajax({
		type:'POST',
		url:url,
		data:{"serviceId":serviceId,"name":name,"serviceCode":serviceCode,
			"description":description,"iconUrl":iconUrl,"id":id,"parentCode":parentCode,"orderNo":orderNo},
		dataType: 'json',//返回值类型 一般设置为json
		success: function (data)  //服务器成功响应处理函数
		{
			if(data.flag){
				layer.alert(data.desc, {icon: 6,end:function(){
	        		$("#conditionform").submit();
	        	}});
			}else{
				layer.msg(data.desc, {icon: 5,end:function(){
        			$("#conditionform").submit();
	        	}});
			}
		}
	});
}

/**
 * 删除分类
 * @param parentCode
 * @param id
 */
function delProductCategories(id,name){
	var contextPath=$("#contextPath").val();
	url=contextPath+"/admin/servicePack/delProductCategories";
	layer.confirm('您确定要删除名称为'+name+'分类信息吗？', {
		  btn: ['确定','取消'] //按钮
		}, function(){
			
		$.ajax({
			type:'POST',
			url:url,
			data:{"id":id},
			success: function (data)  //服务器成功响应处理函数
			{
				console.log(data);
				if(data=="success"){
					layer.alert("删除成功!", {icon: 6,end:function(){
		        		$("#conditionform").submit();
		        	}});
				}else{
					layer.msg("删除失败，请稍后再试！", {icon: 5,end:function(){
	        			$("#conditionform").submit();
		        	}});
				}
			}
		});
	}, function(){
		
	});
}

/**
 * 上传图片
 * @param val
 * @param fileObj
 */
function selectFileImage(fileObj) {
	var appUserStatus=$("#appUserStatus").val();
	   if(appUserStatus==1){
		   return;
	   }
    var file = fileObj.files['0'];  
    var Orientation = null;  
    if (file) {
		console.log("正在上传,请稍后...");
		var rFilter = /^(image\/jpeg|image\/png)$/i; // 检查图片格式
		if (!rFilter.test(file.type)) {
			layer.msg('图片格式有误，请上传(jpeg,png)');
			return;
		}
		EXIF.getData(file, function() {
			EXIF.getAllTags(this);
			Orientation = EXIF.getTag(this, 'Orientation');
		});

		var oReader = new FileReader();
		oReader.onload = function(e) {
			var image = new Image();
			image.src = e.target.result;
			image.onload = function() {
				var expectWidth = this.naturalWidth;
				var expectHeight = this.naturalHeight;

				if (this.naturalWidth > this.naturalHeight
						&& this.naturalWidth > 800) {
					expectWidth = 800;
					expectHeight = expectWidth * this.naturalHeight
							/ this.naturalWidth;
				} else if (this.naturalHeight > this.naturalWidth
						&& this.naturalHeight > 1200) {
					expectHeight = 1200;
					expectWidth = expectHeight * this.naturalWidth
							/ this.naturalHeight;
				}
				var canvas = document.createElement("canvas");
				var ctx = canvas.getContext("2d");
				canvas.width = expectWidth;
				canvas.height = expectHeight;
				ctx.drawImage(this, 0, 0, expectWidth, expectHeight);
				var base64 = null;
				var clearBase64 = null;
				var mpImg = new MegaPixImage(image);
//                mpImg.render(canvas, {  
//                    maxWidth: 800,  
//                    maxHeight: 1200,  
//                    quality: 2,  
//                    orientation: Orientation  
//                }); 
                base64 = canvas.toDataURL("image/png", 2);  
                if(base64!=null){
                	clearBase64=base64.substr( base64.indexOf(',') + 1 )
                }
                uploadImage(base64,clearBase64);
            };  
        };  
        oReader.readAsDataURL(file);  
    }  
}

/**
 * 上传图片
 * @param Base64
 * @param clearBase64
 * @returns {String}
 */
function uploadImage(base64,clearBase64){
	$.ajax({
		url:$("#contextPath").val()+"/admin/servicePack/uploadImage",
		type:"POST",
		data:{imageUrl:clearBase64},
		success : function(data) {
			$("#iconUrl").val(data);
			$("#img1").attr("src",base64);
			
		}, error : function(xhr,textStatus){
			
	    }
	});
}
